CREATE TABLE doo_extension_event_bindings (
    EVENT_BINDING_ID         NUMBER(18, 0),
    EVENT_CODE               VARCHAR2(120),
    EXTENSION_ID             NUMBER(18, 0)    NOT NULL,
    EXTENSION_CLASS_NAME     VARCHAR2(320),
    SEQUENCE_NUMBER          NUMBER(9, 0)     NOT NULL,
    ENABLED_FLAG             VARCHAR2(4)      NOT NULL,
    USAGE_CODE               VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    EVENT_BINDING_ID         NUMBER(18, 0),
    EVENT_CODE               VARCHAR2(120),
    EXTENSION_ID             NUMBER(18, 0)    NOT NULL,
    EXTENSION_CLASS_NAME     VARCHAR2(320),
    SEQUENCE_NUMBER          NUMBER(9, 0)     NOT NULL,
    ENABLED_FLAG             VARCHAR2(4)      NOT NULL,
    USAGE_CODE               VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_doo_extension_event_bindings PRIMARY KEY (EVENT_BINDING_ID, EVENT_BINDING_ID)
);
